Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

[gem] Upgraded omniauth, twitter, and foursquare2 gems.

  • Loading branch information...
commit 72cde041f98f8eef85d4b4611ee7ab2f09b031cd 1 parent 8e9c8fe
@reidab authored
Showing with 127 additions and 126 deletions.
  1. +3 −3 Gemfile
  2. +123 −122 Gemfile.lock
  3. +1 −1  vendor/plugins/haml/init.rb
View
6 Gemfile
@@ -15,7 +15,7 @@ gem 'addressable', '~> 2.2.4'
#--[ Authentication ]-----------------------------------------------------------
gem 'devise', "~> 1.1.5"
-gem 'omniauth', "~> 0.2.0"
+gem 'omniauth', "~> 0.2.6"
# Automatic login provider selection
gem 'redfinger', '~> 0.1.0', :git => "https://github.com/reidab/redfinger.git"
@@ -23,10 +23,10 @@ gem 'ruby-openid', '~> 2.1.8'
gem 'net-dns', '~> 0.6.1', :require => 'net/dns/resolver'
# Client libraries for authenticated services
-gem 'twitter', '~> 1.1.1'
+gem 'twitter', '~> 1.6.0'
gem 'linkedin', '~> 0.2.2', :git => "https://github.com/pengwynn/linkedin.git", :tag => 'v0.2.2'
gem 'mogli', '~>0.0.25', :git => "https://github.com/reidab/mogli.git" # facebook
-gem 'foursquare2', '~>0.9.0' # https://gist.github.com/419219 <- github oauth docs!
+gem 'foursquare2', '~>1.1.0' # https://gist.github.com/419219 <- github oauth docs!
#--[ Search ]-------------------------------------------------------------------
# If you're using the default sql-based search, you can comment this out.
View
245 Gemfile.lock
@@ -1,4 +1,21 @@
GIT
+ remote: https://github.com/igal/paper_trail_manager.git
+ revision: 13cc0128b422e65213c35bcda5c0e536c88f1c0e
+ specs:
+ paper_trail_manager (0.0.0)
+ capybara (>= 0.4.0)
+ factory_girl_rails (~> 1.1.beta1)
+ haml (~> 3.0)
+ jeweler (~> 1.5.2)
+ paper_trail (~> 2.0)
+ rails (~> 3.0.3)
+ rspec-rails (~> 2.5.0)
+ ruby-debug
+ spork (~> 0.9.0.rc)
+ sqlite3-ruby
+ will_paginate (~> 3.0.pre2)
+
+GIT
remote: https://github.com/pengwynn/linkedin.git
revision: 5ba7d9adc3c4491abb0c1ef9c3cc0ca1ae7aff13
tag: v0.2.2
@@ -23,22 +40,6 @@ GIT
nokogiri (>= 1.4.0)
rest-client (>= 1.5.0)
-PATH
- remote: ../paper_trail_manager
- specs:
- paper_trail_manager (0.0.0)
- capybara (>= 0.4.0)
- factory_girl_rails (~> 1.1.beta1)
- haml (~> 3.0)
- jeweler (~> 1.5.2)
- paper_trail (~> 2.0)
- rails (~> 3.0.3)
- rspec-rails (~> 2.5.0)
- ruby-debug
- spork (~> 0.9.0.rc)
- sqlite3-ruby
- will_paginate (~> 3.0.pre2)
-
GEM
remote: http://rubygems.org/
specs:
@@ -71,40 +72,37 @@ GEM
activesupport (= 3.0.9)
activesupport (3.0.9)
acts-as-taggable-on (2.0.6)
- addressable (2.2.6)
+ addressable (2.2.4)
annotate (2.4.0)
arel (2.0.10)
- awesome_print (0.3.2)
+ awesome_print (0.4.0)
aws-s3 (0.6.2)
builder
mime-types
xml-simple
bcrypt-ruby (2.1.4)
builder (2.1.2)
- capybara (0.4.1.2)
- celerity (>= 0.7.9)
- culerity (>= 0.2.4)
+ capybara (1.0.0)
mime-types (>= 1.16)
nokogiri (>= 1.3.3)
rack (>= 1.0.0)
rack-test (>= 0.5.4)
- selenium-webdriver (>= 0.0.27)
- xpath (~> 0.1.3)
- capybara-envjs (0.4.0)
- capybara (~> 0.4.0)
+ selenium-webdriver (~> 0.2.0)
+ xpath (~> 0.1.4)
+ capybara-envjs (0.1.6)
+ capybara (>= 0.3.9)
envjs (>= 0.3.7)
- celerity (0.8.8)
- childprocess (0.1.8)
+ childprocess (0.1.9)
ffi (~> 1.0.6)
- columnize (0.3.2)
+ cocaine (0.1.0)
+ columnize (0.3.4)
compass (0.10.6)
haml (>= 3.0.4)
compass-960-plugin (0.9.13)
compass (>= 0.10.0.rc3)
- configuration (1.2.0)
+ configuration (1.3.1)
crack (0.1.8)
- culerity (0.2.15)
- database_cleaner (0.6.6)
+ database_cleaner (0.6.7)
devise (1.1.9)
bcrypt-ruby (~> 2.1.2)
warden (~> 1.0.2)
@@ -114,40 +112,39 @@ GEM
johnson (>= 2.0.0.pre3)
erubis (2.6.6)
abstract (>= 1.0.0)
- factory_girl (2.0.0.beta2)
- factory_girl_rails (1.1.beta1)
- factory_girl (~> 2.0.0.beta)
- rails (>= 3.0.0)
+ factory_girl (2.0.0.rc4)
+ factory_girl_rails (1.1.rc1)
+ factory_girl (~> 2.0.0.rc)
+ railties (>= 3.0.0)
faker (0.9.5)
i18n (~> 0.4)
fakeweb (1.3.0)
- faraday (0.5.7)
+ faraday (0.6.1)
addressable (~> 2.2.4)
multipart-post (~> 1.1.0)
- rack (< 2, >= 1.1.0)
- faraday_middleware (0.3.2)
- faraday (~> 0.5.4)
- ffi (1.0.7)
- rake (>= 0.8.7)
+ rack (>= 1.1.0, < 2)
+ faraday_middleware (0.6.5)
+ faraday (~> 0.6.0)
+ ffi (1.0.9)
formtastic (1.1.0)
actionpack (>= 2.3.0)
activesupport (>= 2.3.0)
i18n (>= 0.4.0)
- foursquare2 (0.9.0)
- faraday (~> 0.5.3)
- faraday_middleware (~> 0.3.0)
- hashie (~> 1.0.0)
+ foursquare2 (1.1.0)
+ faraday (~> 0.6)
+ faraday_middleware (~> 0.6)
+ hashie (~> 1.0)
git (1.2.5)
haml (3.1.2)
has_scope (0.5.0)
hashie (1.0.0)
- hoptoad_notifier (2.4.8)
+ hoptoad_notifier (2.4.11)
activesupport
builder
- httparty (0.7.4)
+ httparty (0.7.8)
crack (= 0.1.8)
i18n (0.5.0)
- inherited_resources (1.2.1)
+ inherited_resources (1.2.2)
has_scope (~> 0.5.0)
responders (~> 0.6.0)
jeweler (1.5.2)
@@ -156,15 +153,16 @@ GEM
rake
johnson (2.0.0.pre3)
stackdeck (~> 0.2)
- jquery-rails (0.2.7)
- rails (~> 3.0)
- thor (~> 0.14.4)
+ jquery-rails (1.0.12)
+ railties (~> 3.0)
+ thor (~> 0.14)
json (1.4.6)
- json_pure (1.5.1)
+ json_pure (1.5.3)
launchy (0.4.0)
configuration (>= 0.0.5)
rake (>= 0.8.1)
- linecache (0.43)
+ linecache (0.46)
+ rbx-require-relative (> 0.0.4)
macaddr (1.0.0)
mail (2.2.19)
activesupport (>= 2.3.6)
@@ -173,65 +171,66 @@ GEM
treetop (~> 1.4.8)
mime-types (1.16)
mocha (0.9.12)
- multi_json (0.0.5)
+ multi_json (1.0.3)
multi_xml (0.2.2)
- multipart-post (1.1.0)
+ multipart-post (1.1.2)
mysql (2.8.1)
net-dns (0.6.1)
- net-ldap (0.1.1)
+ net-ldap (0.2.2)
nifty-generators (0.4.6)
- nokogiri (1.4.4)
- oa-basic (0.2.0)
- multi_json (~> 0.0.2)
- nokogiri (~> 1.4.2)
- oa-core (= 0.2.0)
+ nokogiri (1.4.7)
+ oa-basic (0.2.6)
+ oa-core (= 0.2.6)
rest-client (~> 1.6.0)
- oa-core (0.2.0)
- rack (~> 1.1)
- oa-enterprise (0.2.0)
- net-ldap (~> 0.1.1)
+ oa-core (0.2.6)
+ oa-enterprise (0.2.6)
+ addressable (= 2.2.4)
+ net-ldap (~> 0.2.2)
nokogiri (~> 1.4.2)
- oa-core (= 0.2.0)
+ oa-core (= 0.2.6)
pyu-ruby-sasl (~> 0.0.3.1)
rubyntlm (~> 0.1.1)
- oa-more (0.2.0)
- multi_json (~> 0.0.2)
- oa-core (= 0.2.0)
+ oa-more (0.2.6)
+ multi_json (~> 1.0.0)
+ oa-core (= 0.2.6)
rest-client (~> 1.6.0)
- oa-oauth (0.2.0)
- multi_json (~> 0.0.2)
- nokogiri (~> 1.4.2)
- oa-core (= 0.2.0)
+ oa-oauth (0.2.6)
+ faraday (~> 0.6.1)
+ multi_json (~> 1.0.0)
+ multi_xml (~> 0.2.2)
+ oa-core (= 0.2.6)
oauth (~> 0.4.0)
- oauth2 (~> 0.1.1)
- oa-openid (0.2.0)
- oa-core (= 0.2.0)
- rack-openid (~> 1.2.0)
- ruby-openid-apps-discovery
- oauth (0.4.4)
- oauth2 (0.1.1)
- faraday (~> 0.5.0)
- multi_json (~> 0.0.4)
- omniauth (0.2.0)
- oa-basic (= 0.2.0)
- oa-core (= 0.2.0)
- oa-enterprise (= 0.2.0)
- oa-more (= 0.2.0)
- oa-oauth (= 0.2.0)
- oa-openid (= 0.2.0)
- paper_trail (2.0.2)
+ oauth2 (~> 0.4.1)
+ oa-openid (0.2.6)
+ oa-core (= 0.2.6)
+ rack-openid (~> 1.3.1)
+ ruby-openid-apps-discovery (~> 1.2.0)
+ oauth (0.4.5)
+ oauth2 (0.4.1)
+ faraday (~> 0.6.1)
+ multi_json (>= 0.0.5)
+ omniauth (0.2.6)
+ oa-basic (= 0.2.6)
+ oa-core (= 0.2.6)
+ oa-enterprise (= 0.2.6)
+ oa-more (= 0.2.6)
+ oa-oauth (= 0.2.6)
+ oa-openid (= 0.2.6)
+ paper_trail (2.2.5)
rails (~> 3)
- paperclip (2.3.8)
- activerecord
- activesupport
+ paperclip (2.3.14)
+ activerecord (>= 2.3.0)
+ activesupport (>= 2.3.2)
+ cocaine (>= 0.0.2)
+ mime-types
polyglot (0.3.1)
- pyu-ruby-sasl (0.0.3.2)
- rack (1.2.2)
+ pyu-ruby-sasl (0.0.3.3)
+ rack (1.2.3)
rack-jsonp (1.1.0)
rack
rack-mount (0.6.14)
rack (>= 1.0.0)
- rack-openid (1.2.0)
+ rack-openid (1.3.1)
rack (>= 1.1.0)
ruby-openid (>= 2.1.8)
rack-test (0.5.7)
@@ -251,17 +250,18 @@ GEM
rdoc (~> 3.4)
thor (~> 0.14.4)
rake (0.9.2)
+ rbx-require-relative (0.0.5)
rcov (0.9.9)
- rdoc (3.7)
- responders (0.6.2)
- rest-client (1.6.1)
+ rdoc (3.8)
+ responders (0.6.4)
+ rest-client (1.6.3)
mime-types (>= 1.16)
- riddle (1.2.2)
+ riddle (1.3.3)
rspec (2.5.0)
rspec-core (~> 2.5.0)
rspec-expectations (~> 2.5.0)
rspec-mocks (~> 2.5.0)
- rspec-core (2.5.1)
+ rspec-core (2.5.2)
rspec-expectations (2.5.0)
diff-lcs (~> 1.1.2)
rspec-mocks (2.5.0)
@@ -281,45 +281,46 @@ GEM
rubyntlm (0.1.1)
rubyzip (0.9.4)
sass (3.1.4)
- selenium-webdriver (0.1.4)
- childprocess (>= 0.1.7)
+ selenium-webdriver (0.2.2)
+ childprocess (>= 0.1.9)
ffi (>= 1.0.7)
json_pure
rubyzip
- simple_oauth (0.1.4)
- spork (0.9.0.rc4)
+ simple_oauth (0.1.5)
+ spork (0.9.0.rc9)
sqlite3 (1.3.3)
sqlite3-ruby (1.3.3)
sqlite3 (>= 1.3.3)
stackdeck (0.2.0)
- steak (1.1.0)
- rspec (>= 1.3)
- thinking-sphinx (2.0.2)
+ steak (2.0.0)
+ capybara (>= 1.0.0)
+ rspec-rails (>= 2.5.0)
+ thinking-sphinx (2.0.5)
activerecord (>= 3.0.3)
- riddle (>= 1.2.2)
+ riddle (>= 1.3.3)
thor (0.14.6)
treetop (1.4.9)
polyglot (>= 0.3.1)
- twitter (1.1.2)
- faraday (~> 0.5.4)
- faraday_middleware (~> 0.3.1)
+ twitter (1.6.0)
+ faraday (~> 0.6.1)
+ faraday_middleware (~> 0.6.3)
hashie (~> 1.0.0)
- multi_json (~> 0.0.5)
+ multi_json (~> 1.0.0)
multi_xml (~> 0.2.0)
- simple_oauth (~> 0.1.3)
+ simple_oauth (~> 0.1.5)
tzinfo (0.3.29)
utility_belt (1.1.0)
Platform (>= 0.4.0)
aws-s3 (>= 0.4.0)
wirble (>= 0.1.2)
- uuid (2.3.1)
+ uuid (2.3.2)
macaddr (~> 1.0)
- warden (1.0.3)
- rack (>= 1.0.0)
+ warden (1.0.4)
+ rack (>= 1.0)
will_paginate (3.0.pre2)
wirble (0.1.3)
- xml-simple (1.0.15)
- xpath (0.1.3)
+ xml-simple (1.1.0)
+ xpath (0.1.4)
nokogiri (~> 1.3)
PLATFORMS
@@ -341,7 +342,7 @@ DEPENDENCIES
faker
fakeweb
formtastic (~> 1.1.0)
- foursquare2 (~> 0.9.0)
+ foursquare2 (~> 1.1.0)
haml (~> 3.1.2)
hoptoad_notifier
httparty (~> 0.7.4)
@@ -355,7 +356,7 @@ DEPENDENCIES
mysql
net-dns (~> 0.6.1)
nifty-generators
- omniauth (~> 0.2.0)
+ omniauth (~> 0.2.6)
paper_trail (~> 2)
paper_trail_manager!
paperclip (~> 2.3)
@@ -371,7 +372,7 @@ DEPENDENCIES
spork
steak
thinking-sphinx (~> 2.0.1)
- twitter (~> 1.1.1)
+ twitter (~> 1.6.0)
utility_belt
uuid
will_paginate (~> 3.0.beta)
View
2  vendor/plugins/haml/init.rb
@@ -13,6 +13,6 @@
end
end
-# Load Haml and Sass.
+# Load Haml.
# Haml may be undefined if we're running gems:install.
Haml.init_rails(binding) if defined?(Haml)
Please sign in to comment.
Something went wrong with that request. Please try again.